34 Integrity Contract
4 operations.
34.0.1 dmr_identify_api_integrity_dmr_identify_post
POST /api/integrity/dmr/identify
Dmr Identify
CONTRACT-DMR-001 identify endpoint.
Authentication: bearerAuth
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
Successful Response | DamageMappingResult |
422 |
Validation Error | HTTPValidationError |
34.0.2 dmr_mechanisms_api_integrity_dmr__equipment_id__mechanisms_get
GET /api/integrity/dmr/{equipment_id}/mechanisms
Dmr Mechanisms
CONTRACT-DMR-001 mechanism listing endpoint.
Authentication: bearerAuth
Parameters
| Name | In | Required | Type | Notes |
|---|---|---|---|---|
equipment_id |
path | yes | string (uuid) | |
limit |
query | no | integer |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
Successful Response | DamageFindingOutput |
422 |
Validation Error | HTTPValidationError |
34.0.3 iow_classify_api_integrity_iow_classify_post
POST /api/integrity/iow/classify
Iow Classify
CONTRACT-IOW-001 classify endpoint.
Authentication: bearerAuth
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
Successful Response | ClassifyResult |
422 |
Validation Error | HTTPValidationError |
34.0.4 iow_status_api_integrity_iow__equipment_id__status_get
GET /api/integrity/iow/{equipment_id}/status
Iow Status
CONTRACT-IOW-001 status endpoint.
Authentication: bearerAuth
Parameters
| Name | In | Required | Type | Notes |
|---|---|---|---|---|
equipment_id |
path | yes | string (uuid) | |
limit |
query | no | integer |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
Successful Response | IOWStatusResponse |
422 |
Validation Error | HTTPValidationError |